| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
GaudiPython::Interface< TYPE > Struct Template Reference

Minor mofidication of original Pere's structure GaudiPython::Interface This helper class is nesessary to perform C++ castings from python. More...

`#include <GaudiPython/Interface.h>`

## Public Member Functions
TYPE * | operator() (const IInterface *in) const
| the only one important method More...

## Static Public Member Functions
static TYPE * | cast (const IInterface *in)
| the only one important method (static) More...
static TYPE * | cast (const InterfaceID &iid, const IInterface *in)
| the only one important method (static) More...

## Detailed Description

### template<class TYPE>
struct GaudiPython::Interface< TYPE >

Minor mofidication of original Pere's structure GaudiPython::Interface This helper class is nesessary to perform C++ castings from python.

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@l.nosp@m.app..nosp@m.in2p3.nosp@m..fr

Date
  2005-08-03

Definition at line 34 of file Interface.h.

## Member Function Documentation

template<class TYPE >

static TYPE* GaudiPython::Interface< TYPE >::cast | ( | const IInterface< TYPE > * | in | ) |
| inline static

the only one important method (static)

Parameters

  in | input interface

Returns
  resutl of "cast"

Definition at line 50 of file Interface.h.

50 { return SmartIF<TYPE>( const_cast<IInterface*>( in ) ); }
SmartIF
Small smart pointer class with automatic reference counting for IInterface.
Definition: IConverter.h:15
IInterface
Definition of the basic interface.
Definition: IInterface.h:277
template<class TYPE >

static TYPE* GaudiPython::Interface< TYPE >::cast | ( | const InterfaceID & | iid,
|  | const IInterface< TYPE > * | in
| ) |  |
| inline static

the only one important method (static)

Parameters

  iid | unique identifier of 'target' interface
  in | input interface

Returns
  resutl of "cast"

Definition at line 57 of file Interface.h.

58 {
59 return SmartIF<TYPE>( iid, const_cast<IInterface*>( in ) );
60 }
SmartIF
Small smart pointer class with automatic reference counting for IInterface.
Definition: IConverter.h:15
IInterface
Definition of the basic interface.
Definition: IInterface.h:277
template<class TYPE >

TYPE* GaudiPython::Interface< TYPE >::operator() | ( | const IInterface< TYPE > * | in | ) | const
| inline

the only one important method

Parameters

  in | input interface

Returns
  resutl of "cast"

Definition at line 41 of file Interface.h.

42 {
43 return SmartIF<TYPE>( TYPE::interfaceID(), const_cast<IInterface*>( in ) );
44 }
SmartIF
Small smart pointer class with automatic reference counting for IInterface.
Definition: IConverter.h:15
IInterface
Definition of the basic interface.
Definition: IInterface.h:277

The documentation for this struct was generated from the following file:

- GaudiPython/GaudiPython/Interface.h